Skip to main content
GET
/
organizations
/
{organization_id}
/
records
/
usage
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "subscription_id": "<string>",
      "usage_group": "<string>",
      "quantity": 123,
      "start": "2023-11-07T05:31:56Z"
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Query Parameters

filter[subscription_id]
string

The ID of the subscription

filter[usage_group]
enum<string>

Filter records by the type of usage.

Available options:
storage,
environments,
user_licenses
filter[start]
string<date-time>

The start of the observation period for the record. E.g. filter[start]=2018-01-01 will display all records that were active (i.e. did not end) on 2018-01-01

filter[started_at]
string<date-time>

The record's start timestamp. You can use this filter to list records started after, or before a certain time. E.g. filter[started_at][value]=2020-01-01&filter[started_at][operator]=>

page
integer<int32>

Page to be displayed. Defaults to 1.

Response

OK

items
object[]